Subject: Re: [bug#40264] Linphone: 11-add-mediastreamer-v2

From: [email-masked]
Date: Sun, 05 Apr 2020 00:08:08 -0400

Hello Raghav,

"Raghav Gururajan" <[email-masked]> writes:

> Hi Danny!
>
>>> + (list
>>>
>>> + ;; For fixing definitions.
>>
>> Yes, but why? What would happen if we didn't do it?
>
> Otherwise, we get `-Werror` flag related compilation errors.

Could you please clarify that in a comment above the patch?

>>> + (origin
>>> + (method url-fetch)
>>> + (uri
>>> + (string-append "https://gitlab.linphone.org/BC/public/mediastreamer2/commit"
>>> + "de3a24b795d7a78e78eab6b974e7ec5abf2259ac.diff"))
>>> + (file-name "mediastreamer-msfactory.patch")
>>
>> I'm not sure what the outcome of the latest discussion on carrying patches was.
>> Should we carry patches in Guix now or fetch them from external source?
>
> I think it's good as long as we use hash to verify. :-)

The problem is that metadata or format of auto-generated patches may
change on a whim.  In past discussions it was decided best to not use
them (that is, it's best to embed a copy of it in Guix sources) [0].

[0]  https://lists.gnu.org/archive/html/guix-devel/2018-11/msg00554.html

I'll post more comments in your original message.

Maxim